Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
prep_cif.c File Reference
`#include <ffi.h>`
`#include <ffi_common.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Macros
#define | STACK_ARG_SIZE(x) ALIGN(x, FFI_SIZEOF_ARG)

## Functions
ffi_status FFI_HIDDEN | ffi_prep_cif_core (ffi_cif *cif, ffi_abi abi, unsigned int isvariadic, unsigned int nfixedargs, unsigned int ntotalargs, ffi_type *rtype, ffi_type **atypes)
ffi_status | ffi_prep_cif (ffi_cif *cif, ffi_abi abi, unsigned int nargs, ffi_type *rtype, ffi_type **atypes)
ffi_status | ffi_prep_cif_var (ffi_cif *cif, ffi_abi abi, unsigned int nfixedargs, unsigned int ntotalargs, ffi_type *rtype, ffi_type **atypes)

## Macro Definition Documentation

## ◆ STACK_ARG_SIZE

#define STACK_ARG_SIZE | ( |  | x | ) | ALIGN(x, FFI_SIZEOF_ARG)

Definition at line 32 of file prep_cif.c.

## Function Documentation

## ◆ ffi_prep_cif()

ffi_status ffi_prep_cif | ( | ffi_cif * | cif,
|  | ffi_abi | abi,
|  | unsigned int | nargs,
|  | ffi_type * | rtype,
|  | ffi_type ** | atypes
| ) |  |

Definition at line 226 of file prep_cif.c.

References ffi_prep_cif_core().

Referenced by main().

## ◆ ffi_prep_cif_core()

ffi_status FFI_HIDDEN ffi_prep_cif_core | ( | ffi_cif * | cif,
|  | ffi_abi | abi,
|  | unsigned int | isvariadic,
|  | unsigned int | nfixedargs,
|  | unsigned int | ntotalargs,
|  | ffi_type * | rtype,
|  | ffi_type ** | atypes
| ) |  |

Definition at line 107 of file prep_cif.c.

References FFI_ASSERT, FFI_FIRST_ABI, FFI_LAST_ABI, i, NULL, and ptr.

Referenced by ffi_prep_cif(), and ffi_prep_cif_var().

## ◆ ffi_prep_cif_var()

ffi_status ffi_prep_cif_var | ( | ffi_cif * | cif,
|  | ffi_abi | abi,
|  | unsigned int | nfixedargs,
|  | unsigned int | ntotalargs,
|  | ffi_type * | rtype,
|  | ffi_type ** | atypes
| ) |  |

Definition at line 232 of file prep_cif.c.

References ffi_prep_cif_core().

Referenced by main().